USRP Hardware Driver and USRP Manual: uhd::range_t Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
uhd::range_t Class Reference

`#include <uhd/types/ranges.hpp>`

## Public Member Functions
| range_t (double value=0)
| range_t (double start, double stop, double step=0)
double | start (void) const
| Get the start value for this range.
double | stop (void) const
| Get the stop value for this range.
double | step (void) const
| Get the step value for this range.
std::string | to_pp_string (void) const
| Convert this range to a printable string.
bool | operator== (const range_t &other) const
| Equality operator.
bool | operator!= (const range_t &other) const
| Inequality operator.

## Detailed Description

A range object describes a set of discrete values of the form: y = start + step*n, where n is an integer between 0 and (stop - start)/step

## Constructor & Destructor Documentation

## ◆ range_t() [1/2]

uhd::range_t::range_t | ( | double | value = 0 | ) |

Create a range from a single value. The step size will be taken as zero.

Parameters

  value | the only possible value in this range

## ◆ range_t() [2/2]

uhd::range_t::range_t | ( | double | start,
|  | double | stop,
|  | double | step = 0 )

Create a range from a full set of values. A step size of zero implies infinite precision.

Parameters

  start | the minimum value for this range
  stop | the maximum value for this range
  step | the step size for this range

## Member Function Documentation

## ◆ operator!=()

bool uhd::range_t::operator!= | ( | const range_t & | other | ) | const

Inequality operator.

## ◆ operator==()

bool uhd::range_t::operator== | ( | const range_t & | other | ) | const

Equality operator.

## ◆ start()

double uhd::range_t::start | ( | void |  | ) | const

Get the start value for this range.

## ◆ step()

double uhd::range_t::step | ( | void |  | ) | const

Get the step value for this range.

## ◆ stop()

double uhd::range_t::stop | ( | void |  | ) | const

Get the stop value for this range.

## ◆ to_pp_string()

std::string uhd::range_t::to_pp_string | ( | void |  | ) | const

Convert this range to a printable string.

The documentation for this class was generated from the following file:

- ranges.hpp